
/* --------------------------------- STRUCTURE --------------------------------- */

#header{
    /* z-index: 9999; */
    /* border-bottom: solid 1px var(--color-light-grey); */
    box-shadow: none !important;
    background: #fff !important;
}

@media (width < 1025px) and (width > 768px) {
    #header.is-open{
        height: 100vh;
    }

    #header.is-open .header-top>.container,
    #header.is-open .displayTop,
    #header.is-open .header-top .position-static {
        height: 100%;
    }

    #header.is-open .displayTop #top-menu{
        height: 95%;
    }
}

#mobile_top_menu_wrapper .top-menu a[data-depth="0"] {
    border-bottom: none;
}

#header.is-open

.modal-open #header{
    z-index: 1;
}

.displayNavFullWidth{
    position: relative;
}

html:has(#header.is-open),
body:has(#header.is-open){
    overflow: hidden;
}

@media (max-width: 768px) {
    #header{
        border: none !important;
    }
}

/* --------------------------------- HEADER NAV --------------------------------- */


#header .header-nav{
    background: none;
    max-height: none;
    border: none;
    padding-block: 35px;
}

@media (max-width: 1500px) {
    #header .header-nav{
        padding-block: 20px;
    }
}

@media (width < 1025px) {
    #header .header-nav {
        height: 100px;
        display: flex;
        align-items: center;
    }
}

@media (max-width: 768px) {
    #header .header-nav{
        padding-block: 10px !important;
    }
    #header .header-nav .mobile{
        display: flex;
        justify-content: space-between;
        align-items: center;
        gap: 20px;
    }
    #header .header-nav .mobile .left{
        display: flex;
        align-items: center;
        gap: 20px;
    }
    #header .header-nav .mobile .right{
        display: flex;
        align-items: center;
        gap: 20px;
    }
}

/* --------------------------------- HEADER TOP --------------------------------- */

#header .header-top{
    padding-block: 12px;
}

#header .menu>ul>li#lnk-mon-compte {
    display: none;
}

@media (width < 1025px) {
    #header .header-top{
        height:  100%;
    }

    #header .menu>ul>li#lnk-mon-compte,
    #header .mobile>ul>li#lnk-mon-compte {
        display: inline-block;
        background-color: var(--color-black);
        margin: 40px 0 0 0;
        width: fit-content;
    }

    #header .menu > ul > li#lnk-mon-compte > a[data-depth="0"],
    #header .mobile > ul > li#lnk-mon-compte > a[data-depth="0"] {
        color: var(--color-white);
    }
    
    .header-top > .container > .displayTop > #search_widget {
        display: none;
    }

    #header .header-top .position-static {
        padding-left: unset;
    }

    .displayTop #top-menu {
        display: flex;
        flex-direction: column;
    }

    #header .top-menu a[data-depth="0"] {
        font-family: var(--ffMRe);
        text-transform: uppercase;
        color: var(--color-black);
        font-size: 1.5rem;
        line-height: 1.75rem;
    }
}

/* --------------------------------- LOGO --------------------------------- */

#header .logo{
    width: 100%;
    max-width: 130px;
    height: auto;
    object-fit: contain;
    aspect-ratio: 130/45;
}

@media (max-width: 1500px) {
    #header .logo{
        width: 140px;
        min-width: 140px;
    }
}

@media (width < 1301px) {
    #header .logo{
        width: 130px;
        min-width: unset;
    }
}

@media (width > 1025px) {
    #header #_mobile_logo {
        display: none;
    }
}

@media (max-width: 1024px) {
    #header .logo{
        aspect-ratio: 130/45;
        height: auto;
        width: 100%;
        max-width: 130px;
        min-width: unset;
    }

    #header:not(.is-open) .header-top {
        padding-block: unset;
    }

    #header .displayNav + .hidden-md-up.mobile > .left {
        display: flex;
        gap: 20px;
        align-items: center;
    }

    .midLogoContainer,
    .midLogo {
        display: block;
        height: 100%;
    }

    #header .displayNav + .hidden-md-up.mobile > .right {
        display: flex;
        gap: 20px;
        align-items: center;
    }
}

/* --------------------------------- BURGER / MENU ICON --------------------------------- */

#menu-icon{
    margin: 0px !important;
    width: 34px;
    height: 24px;
    position: relative;
}

#menu-icon .bar{
    width: 100%;
    height: 3px;
    background-color: var(--color-black);
    border-radius: unset;
    transform: translateY(0%);
    transition: 300ms ease;
    position: absolute;
    left: 0;
}

#menu-icon .bar1{
    top: 0;
    transition: transform 0.3s ease, top 0.3s ease 0.3s;
}

#header.is-open #menu-icon .bar1{
    top: 50%;
    transform: translateY(-50%) rotate(45deg);
    transition: top 0.3s ease, transform 0.3s ease 0.3s;
}

#menu-icon .bar2{
    top: 50%;
    transform: translateY(-50%);
    transition: opacity 0.3s ease 0.3s;
}

#header.is-open #menu-icon .bar2{
    opacity: 0;
    transition: opacity 0.3s ease 0.15s;
}

#menu-icon .bar3{
    bottom: 0;
    transition: transform 0.3s ease, bottom 0.3s ease 0.3s;
}

#header.is-open #menu-icon .bar3{
    bottom: 50%;
    transform: translateY(50%) rotate(-45deg);
    transition: bottom 0.3s ease, transform 0.3s ease 0.3s;
}

/* --------------------------------- DISPLAY NAV --------------------------------- */

#header .displayNav{
    display: grid;
    grid-template-columns: 1fr auto;
}

@media (max-width: 1000px) {
    #header .displayNav{
        gap: 30px;
    }
}

/* --------------------------------- DISPLAY NAV 1 --------------------------------- */

#header .displayNav1{
    display: flex;
    align-items: center;
    justify-content: space-between;
}

#header .displayNav1::after{
    display: block;
    content: "";
}

@media (max-width: 1200px) {
    #header .displayNav1{
        gap: 60px;
    }
}

@media (width < 1101px) {
    #header .displayNav1::after{
        display: none;
        content: "";
    }

    #header .displayNav1 {
        justify-content: flex-start;
        gap: 30px;
    }
}

@media (width < 1025px) {
    #header .displayNav {
        display: none;
    }

    #header .displayNav + .hidden-md-up.mobile {
        display: flex!important;
        justify-content: space-between;
    }
    
    #header .container .top-menu a[data-depth="0"]:not(#lnk-mon-compte > a) {
        padding-inline: unset;
        font-family: var(--ffMSeBo);
    }
        
    #header .container .top-menu #lnk-mon-compte > a[data-depth="0"] {
        font-family: var(--ffMSeBo);
    }
}

@media (max-width: 1000px) {
    #header .displayNav1{
        gap: 40px;
    }
}

/* --------------------------------- DISPLAY NAV 2 --------------------------------- */

#header .displayNav2{
    display: flex;
    align-items: center;
    gap: 32px;
}

@media (width < 1401px) {
    #header .displayNav2 {
        gap: 12px;
    }
}

@media (max-width: 1200px) {
    #header .displayNav2{
        gap: 24px;
    }
}

/* --------------------------------- HEADER BANNER --------------------------------- */

#header .header-banner{
    background-color: var(--color-primary);
    padding-block: 10px;
}

#header .header-banner p{
    color: var(--color-white);
    margin: 0px;
    text-align: center;
    font-size: .875rem;
    line-height: 1.25rem;
}

@media (max-width: 992px) {
    #header .header-banner p{
        font-size: .75rem;
        line-height: 1.125rem;
    }
}

/* -- -- -- -- -- HEADER BANNER - DÉCOUVREZ NOTRE RESTAURANT ÉTOILÉ LA RIBAUDIÈRE -- -- -- -- -- */

#header .bottom {
    background-color: var(--color-black);
}

#header .bottom > div {
    background-color: var(--color-black);
    padding-block: 10px;
    gap: 90px;
    width: 100%;
    display: flex;
    align-items: center;
    justify-content: space-between;
    max-width: 1660px;
    padding-inline: 36px;
    width: 100%;
    margin-inline: auto;
}

#header .bottom .left {
    color: var(--color-white);
    display: flex;
    align-items: center;
    justify-content: center;
    gap: 9px;
    max-width: unset;
    margin-inline: unset;
    margin-bottom: unset;
    position: relative;
    line-height: unset;
}

#header .bottom .left:first-child {
    margin-left: 75px;
}

#header .bottom .left::before {
    content: "";
    display: block;
    width: 6.5%;
    height: 1px;
    background-color: var(--color-white);
    position: absolute;
    left: -65px;
    top: 50%;
}

#header .bottom .left span {
    font-family: var(--ffMRe);
    font-size: 1rem;
    line-height: unset;
    color: var(--color-white);
    display: flex;
    align-items: center;
    gap: 8px;
}

#header .bottom .arrow {
    width: 82px;
    height: 1px;
    background-color: var(--color-white);
    position: relative;
}

#header .bottom .left .icon {
    height: auto;
    vertical-align: middle;
    display: inline-block;
    aspect-ratio: 30 / 32;
    width: 25px;
    height: auto;
    margin-left: 20px;
}

#header .bottom .arrow::after {
    content: "";
    display: block;
    border-top: 1px solid var(--color-white);
    border-right: 1px solid var(--color-white);
    rotate: 45deg;
    width: 8px;
    height: 8px;
    position: absolute;
    right: 0;
    top: -4.125px;
}

#header .bottom .link {
    margin-top: 4px;
    margin-inline: unset;
    position: relative;
    color: var(--color-white);
    display: block;
    width: fit-content;
    font-family: var(--ffMRe);
    padding-bottom: 3px;
    align-items: flex-end;
    font-size: 1rem;
    line-height: unset;
}

#header .bottom .link::after {
    position: absolute;
    bottom: 0;
    width: 100%;
    height: 1px;
    background-color: var(--color-white);
    left: 0;
    content: "";
    display: block;
    transition: width .25s ease, left .25s ease;
}

#header .bottom .link:hover::after {
    width: calc(100% + 10px);
    left: -5px;
    transition: width .25s ease, left .25s ease;
}

@media (width < 1201px) {
    #header .bottom .left span,
    #header .bottom .link {
        font-size: .875rem;
        line-height: unset;
        gap: 4px;
    }

    #header .bottom .link {
        margin-top: 2px;
        padding-bottom: 1px;
    }

    #header .bottom .left::before {
        left: -35px;
    }

    #header .bottom .left:first-child {
        margin-left: 45px;
    }

    #header .bottom .left .icon {
        width: 25px;
        margin-left: 16px;
    }
}

@media (width < 1025px) {
    #header .bottom .left span.dispawnHeader {
        display: none;
    }

    #header .bottom > div {
        padding-block: 10px;
    }

    #header .bottom .left .icon {
        width: 24px;
        margin-left: 10px;
    }
}

@media (width < 769px) {
    #header .bottom > div {
        padding-block: 14px;
    }

    #header .bottom .left::before,
    #header .bottom .introduction > span {
        display: none;
    }

    #header .bottom .left:first-child {
        margin-left: unset;
    }
}

@media (width < 577px) {
    #header .bottom > div {
        gap: 10px;
    }

    #header .bottom .left .icon {
        margin-left: 0px;
    }
}